Bug 33278 - multipath mkraid fails when specifying all paths
Summary: multipath mkraid fails when specifying all paths
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 20:17 UTC by Michael E Brown
Modified: 2007-04-18 16:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 04:01:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael E Brown 2001-03-26 20:17:04 UTC
The following raidtab fails in 'mkraid /dev/md0'

raiddev			/dev/md0
raid-level		multipath
nr-raid-disks		2
nr-spare-disks		0
chunk-size		4

device			/dev/sdb1
raid-disk		0

device			/dev/sdl1
raid-disk		1

With this error from the kernel:
bind<sdb1,1>
bind<sdl1,2>
sdl1's event counter: 00000000
sdb1's event counter: 00000000
md.c: personality 6 is not loaded!
md0 stopped.
unbind<sdl1,1>
export_rdev(sdl1)
unbind<sdb1,0>
export_rdev(sdb1)

And here is the output from mkraid: 

DESTROYING the contents of /dev/md0 in 5 seconds, Ctrl-C if unsure!
/dev/md0: Invalid argument
handling MD device /dev/md0
analyzing super-block
disk 0: /dev/sdb1, 8539120kB, raid superblock at 8539008kB
disk 1: /dev/sdl1, 8539120kB, raid superblock at 8539008kB

Comment 1 Ingo Molnar 2001-03-28 11:59:38 UTC
please re-test with the next kernel build, this should be fixed too.

Comment 2 Michael E Brown 2001-04-02 15:47:12 UTC
Still there. Different error message now, though.

Apr  2 09:55:54 localhost kernel: bind<sdb,1>
Apr  2 09:55:54 localhost kernel: bind<sdl,2>
Apr  2 09:55:54 localhost kernel: sdl's event counter: 00000000
Apr  2 09:55:54 localhost kernel: sdb's event counter: 00000000
Apr  2 09:55:54 localhost kernel: RAID level -4 does not need chunksize!
Continuing anyway.
Apr  2 09:55:54 localhost modprobe: modprobe: Can't locate module
md-personality-7
Apr  2 09:55:54 localhost kernel: md.c: personality 7 is not loaded!
Apr  2 09:55:54 localhost kernel: md: md0 still in use.

From a freshly booted machine:
[root@localhost /root]# mkraid --really-force /dev/md0
DESTROYING the contents of /dev/md0 in 5 seconds, Ctrl-C if unsure!
handling MD device /dev/md0
analyzing super-block
disk 0: /dev/sdb, 8539789kB, raid superblock at 8539712kB
disk 1: /dev/sdl, 8539789kB, raid superblock at 8539712kB
/dev/md0: Invalid argument
[root@localhost /root]# cat /proc/mdstat 
Personalities : 
read_ahead not set
md0 : inactive sdl[1] sdb[0]
      0 blocks
unused devices: <none>

[root@localhost /root]# raidstop /dev/md0
[root@localhost /root]# 
[root@localhost /root]# modprobe multipath
[root@localhost /root]# cat /proc/mdstat 
Personalities : [multipath] 
read_ahead not set
unused devices: <none>

[root@localhost /root]# mkraid --really-force /dev/md0
DESTROYING the contents of /dev/md0 in 5 seconds, Ctrl-C if unsure!
handling MD device /dev/md0
analyzing super-block
disk 0: /dev/sdb, 8539789kB, raid superblock at 8539712kB
disk 1: /dev/sdl, 8539789kB, raid superblock at 8539712kB
/dev/md0: Invalid argument

[root@localhost /root]# cat /proc/mdstat 
Personalities : [multipath] 
read_ahead not set
md0 : inactive sdl[1] sdb[0]
      17079424 blocks
unused devices: <none>


Comment 3 Matt Domsch 2001-04-06 18:47:38 UTC
For multipath, there should be only one raid-disk, and the rest should be spare-
disk, per Doug.


Note You need to log in before you can comment on or make changes to this bug.